import { select, 
        json,
        geoPath,
        geoNaturalEarth1
       } from 'd3';

import { feature } from 'topojson';

const svg = select('svg');

const width = +svg.attr('width');
const heigth = +svg.attr('heigth');

//type landkaart die je wilt gebruiken
const projection = geoNaturalEarth1();
//hier worden de lijnen getrokken voor de landkaart in de vorm die jij bij projection hebt gekozen.
const pathGenerator = geoPath().projection(projection);

svg.append('path')
	.attr('class', 'sphere')
	.attr('d', pathGenerator({type: 'Sphere'}));

json('https://unpkg.com/world-atlas@1.1.4/world/110m.json')
  .then(data => {
  	const countries = feature(data, data.objects.countries)
  	svg
    	.selectAll('path')
    	.data(countries.features)
    	.enter()
    	.append('path')
    	.attr('class', 'country')
    	.attr('d', pathGenerator)
})